/*
	randomNo = Math.floor(Math.random() * nonPrimeNoArray.length);	//Check for if firstRandomNo is 99.
	console.log("First random no");
	console.log(randomNo);
	firstRandomNo = nonPrimeNoArray[randomNo];
	for(j=2; j<firstRandomNo; j++){
		if(firstRandomNo % j == 0){
			jsonObj['N1'] = firstRandomNo / j;
			jsonObj['N2'] = firstRandomNo;
			jsonObj['Ans'] = j;
			firstRandomNoAns = j;
			DirectProportion.questionArray[DirectProportion.questionCnt++] = jsonObj;
			jsonObj = {}; 
			break;
		}
	}	
	console.log(DirectProportion.questionArray);

	var qCount = 0;
	while(DirectProportion.questionArray.length != 3)
	{
		randomNo = Math.floor(Math.random() * nonPrimeNoArray.length);	
		//console.log(randomNo);
		while(nonPrimeNoArray[randomNo] < DirectProportion.questionArray[qCount].N2)
			randomNo = Math.floor(Math.random() * nonPrimeNoArray.length);
		nextRandomNo = nonPrimeNoArray[randomNo];
		for(j=2; j<nextRandomNo; j++){
			if(nextRandomNo % j == 0 && nextRandomNo/j == firstRandomNoAns){
				jsonObj['N1'] = j;
				jsonObj['N2'] = nextRandomNo;
				jsonObj['Ans'] = nextRandomNo / j;
				DirectProportion.questionArray[DirectProportion.questionCnt++] = jsonObj;
				jsonObj = {}; 
				qCount++;
				break;
			}
		}
	}	*/